from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.extract(model="meetkai:functionary-urdu-mini-pak", schema="[object Object]", file={
"file_name": "example.file",
"content": open("example.file", "rb"),
}, prompt="Extract invoice number, vendor, total, and date from this invoice.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
import { openAsBlob } from "node:fs";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.extract({
requestBody: {
model: "meetkai:functionary-urdu-mini-pak",
schema: "[object Object]",
file: await openAsBlob("example.file"),
prompt: "Extract invoice number, vendor, total, and date from this invoice.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.ExtractAsync(body: new ExtractRequestBody() {
Model = "meetkai:functionary-urdu-mini-pak",
Schema = "[object Object]",
File = new ExtractFile() {
FileName = "example.file",
Content = System.IO.File.ReadAllBytes("example.file"),
},
Prompt = "Extract invoice number, vendor, total, and date from this invoice.",
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form model=meetkai:functionary-urdu-mini-pak \
--form 'schema={
"type": "object",
"properties": {
"invoice_number": {
"type": "string"
},
"vendor_name": {
"type": "string"
},
"total_amount": {
"type": "number"
},
"date": {
"type": "string",
"format": "date"
}
},
"required": [
"invoice_number",
"total_amount"
]
}' \
--form 'prompt=Extract invoice number, vendor, total, and date from this invoice.' \
--form file='@example-file'const form = new FormData();
form.append('model', 'meetkai:functionary-urdu-mini-pak');
form.append('schema', '{
"type": "object",
"properties": {
"invoice_number": {
"type": "string"
},
"vendor_name": {
"type": "string"
},
"total_amount": {
"type": "number"
},
"date": {
"type": "string",
"format": "date"
}
},
"required": [
"invoice_number",
"total_amount"
]
}');
form.append('prompt', 'Extract invoice number, vendor, total, and date from this invoice.');
form.append('file', '(binary)');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://apigw.mka1.com/api/v1/llm/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"invoice_number": "INV-2024-001",
"vendor_name": "Acme Corporation",
"total_amount": 1250,
"date": "2024-01-15"
},
"metadata": {
"model": "meetkai:functionary-urdu-mini-pak",
"filename": "invoice.pdf",
"fileSize": 125000,
"extractedAt": "2024-01-15T10:30:00Z"
}
}Extrair dados estruturados com JSON Schema embutido
Extrai dados estruturados de arquivos usando um esquema JSON inline personalizado.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.extract(model="meetkai:functionary-urdu-mini-pak", schema="[object Object]", file={
"file_name": "example.file",
"content": open("example.file", "rb"),
}, prompt="Extract invoice number, vendor, total, and date from this invoice.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
import { openAsBlob } from "node:fs";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.extract({
requestBody: {
model: "meetkai:functionary-urdu-mini-pak",
schema: "[object Object]",
file: await openAsBlob("example.file"),
prompt: "Extract invoice number, vendor, total, and date from this invoice.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.ExtractAsync(body: new ExtractRequestBody() {
Model = "meetkai:functionary-urdu-mini-pak",
Schema = "[object Object]",
File = new ExtractFile() {
FileName = "example.file",
Content = System.IO.File.ReadAllBytes("example.file"),
},
Prompt = "Extract invoice number, vendor, total, and date from this invoice.",
});
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Corpo
ID do modelo a ser usado para extração
Objeto JSON Schema ou string JSON definindo a estrutura dos dados a serem extraídos
O arquivo para extrair dados estruturados de
Metadados opcionais como objeto JSON ou string JSON
Prompt personalizado opcional para guiar a extração
Resposta
OK
Resposta do ponto de extração contendo os dados estruturados extraídos e os metadados sobre o processo de extração.
Indica se a solicitação de extração foi bem-sucedida.
Metadados sobre a solicitação e execução da extração
Show child attributes
Show child attributes
Os dados estruturados extraídos estão em conformidade com o esquema JSON fornecido. Este é o resultado da análise do arquivo e da extração de informações de acordo com a definição do esquema.
Esta página foi útil?